Loading...
Searching...
No Matches
mongo_sync_connection Struct Reference

Opaque synchronous connection object. More...

`#include <libmongo-private.h>`

Collaboration diagram for mongo_sync_connection:
[legend]

## Data Fields

mongo_connection | super
| The parent object.
gboolean | slaveok
| Whether queries against slave nodes are acceptable.
gboolean | safe_mode
| Safe-mode signal flag.
gboolean | auto_reconnect
| Auto-reconnect flag.
gchar * | last_error
| The last error from the server, caught during queries.
gint32 | max_insert_size
| Maximum number of bytes an insert command can be before being split to smaller chunks.
replica_set | rs
| Replica set.
auth_credentials | auth
| Authentication credentials.
mongo_sync_conn_recovery_cache * | recovery_cache
| Reference to the externally managed recovery cache.

## Detailed Description

Opaque synchronous connection object.

Synchronous connection object.

## Field Documentation

## max_insert_size

gint32 mongo_sync_connection::max_insert_size

Maximum number of bytes an insert command can be before being split to smaller chunks.

Used for bulk inserts.